# $Revision: 1.14 $, $Date: 2004/04/12 11:52:11 $
Summary:	vigor - vi-compatible editor with extra something thrown in
Summary(pl):	vigor - edytor podobny do vi z Panem Spinaczem
Name:		vigor
Version:	0.016
Release:	3
License:	BSD
Group:		Applications/Editors
Source0:	http://dl.sourceforge.net/vigor/%{name}-%{version}.tar.gz
# Source0-md5:	5bd9a2e50581817f4a5f0e7a0f0d1a52
Patch0:		%{name}-ncurses.patch
Patch1:		%{name}-acfix.patch
URL:		http://vigor.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	tk-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vigor is designed as a vi-compatible editor, with a little (*ahem*)
extra something thrown in. It was inspired by the January 4, 2000
storyline in the User Friendly comic. If you haven't seen it yet,
check it out at http://www.userfriendly.org/ (and do so in a place you
can freely laugh). Go ahead, I'll wait.

%description -l pl
Vigor jest edytorem kompatybilnym z vi z wbudowanym Panem Spinaczem,
zainspirowany historyjk User Friendly z 4 stycznia 2000. Warto j
zobaczy pod adresem http://www.userfriendly.org/ .

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cd build
cp -f /usr/share/automake/config.* .
%{__autoconf}
OPTFLAG=" "; export OPTFLAG
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%configure \
	--disable-curses \
	--enable-re \
	--enable-db

# <regex.h> doesn't have REG_STARTEND
# <db.h> from db3 is incompatible too

#cat >>config.h <<EOF
##define recno_t db_recno_t
##define MAX_REC_NUMBER DB_MAX_RECORDS
#EOF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}}

%{__make} -C build install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
	datadir=$RPM_BUILD_ROOT%{_datadir} \
	bindir=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.vigor
%attr(755,root,root) %{_bindir}/vigor
%dir %{_datadir}/vigor
%attr(755,root,root) %{_datadir}/vigor/recover
%{_datadir}/vigor/perl
%{_datadir}/vigor/tcl
%dir %{_datadir}/vigor/catalog
%{_datadir}/vigor/catalog/english
%lang(nl) %{_datadir}/vigor/catalog/dutch
%lang(fr) %{_datadir}/vigor/catalog/french
%lang(de) %{_datadir}/vigor/catalog/german
%lang(ru) %{_datadir}/vigor/catalog/ru_SU.KOI8-R
%lang(es) %{_datadir}/vigor/catalog/spanish
%lang(sv) %{_datadir}/vigor/catalog/swedish

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vigor.spec,v $
Revision 1.14  2004/04/12 11:52:11  qboosh
- little longer pl, updated acfix patch

Revision 1.13  2004/04/11 21:19:41  qboosh
- updated URLs

Revision 1.12  2003/11/27 09:31:27  ankry
- rel. 3

Revision 1.11  2003/06/19 00:40:23  qboosh
- added acfix patch, fixed build on athlon

Revision 1.10  2003/05/28 13:02:34  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:27:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.7  2002/11/29 22:46:59  ankry
- massive attack: new %%doc

Revision 1.6  2002/06/15 11:41:09  ankry
- removed %%lang(en)
- release 2

Revision 1.5  2002/05/21 23:14:53  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:15:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/05/22 05:11:29  kloczek
- cosmetics.

Revision 1.1  2001/05/22 00:08:52  qboosh
- new package >:>>>
